<?php
	
/* -----------------------------------------------------------------------
	 This creates the top of every web page and slices in the
	 website name, page name and optional style, i.e., embedded CSS	 
----------------------------------------------------------------------- */								
function make_top($website_name, $page_name, $style=null) {
	
	if ($style != null) {
		$style = '<style>'.$style.'</style>';
	}
	
	return '
		<!DOCTYPE html>
		<html lang="en">
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		<title>'.$website_name.' - '.$page_name.'</title>
		<link rel="stylesheet" href="css/bootstrap.min.css">
		<link rel="stylesheet" href="css/custom.css">
		'.$style.'
		<body>';	
}

/* -----------------------------------------------------------------------
	 Creates the bottom of every web page to include the bootstrap javascript
----------------------------------------------------------------------- */								
function make_bottom() {
	return '
			<!-- javascript -->
			<script src="js/jquery.min.js"></script>
			<script src="js/popper.min.js"></script>
			<script src="js/bootstrap.min.js"></script>
		</body>
		</html>';
}

/* -----------------------------------------------------------------------
	 Makes a list
----------------------------------------------------------------------- */			
function make_list($list, $type='ul') {
	if ($type != 'ul' && $type != 'ol') $type = 'ul';
	$out = '<'.$type.'>';
	foreach ($list as $i) {
		$out .= '<li>'.$i.'</li>';
	}
	$out .= '</'.$type.'>';
	return $out;
}


/* -----------------------------------------------------------------------
	 Makes a web page
----------------------------------------------------------------------- */			
function make_webpage($website_name, $page_name, $content, $style=null) {
	
	echo make_top($website_name, $page_name, $style);
	echo '<main class="container">';
	echo '<h2>'.$page_name.'</h2>';	
	
	echo $content;

	echo '</main>';
	echo make_bottom();

}

$smalllist = array('Apple', 'Banana','Orange');
$biggerlist = array_merge($smalllist, $smalllist);

	
$list1_html = make_list($smalllist, 'p');
$list2_html = make_list($biggerlist, 'ol');

$content = $list1_html . $list2_html;

$resume = file_get_contents('resume.html');



make_webpage('Test Website','Test Page', $content, 'ul li {list-style: square;}')




	

	
	
	
?>